跳到主要内容

获取 Entity (V2)

This operation gets specific entities by their IDs.

POST/v2/vectordb/entities/get
连接端点

该 API 的 Base URL 格式如下:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘说明
  • 如果您使用的是服务集群,请使用集群端点。
    • Free 与 Serverless 版

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated 版

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password

示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring

数据库名称。

collectionNamestring必填项

Collection 名称。

idobjectrequired

Entity ID 或 Entity ID 列表。

outputFieldsarray

需要随查询结果返回的字段列表。

[]outputFieldsstring

随查询结果返回的字段名称。

partitionNamesarray

Partition 名称列表。

[]partitionNamesstring

Partition 名称。

consistencyLevelstring

操作的一致性级别。默认为 Bounded

partitionNamestring

Name of the partition to get entities from.

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/entities/get" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "quick_setup",
"id": [
1,
3,
5
],
"outputFields": [
"color"
]
}'
响应200 - application/json
codeinteger

响应码。

costinteger

当前操作的花费。仅用于 Free 和 Serverless 集群,表示当前操作消耗的 vCU。

dataarray

查询结果。

[]dataobject

返回的一个 Entity 对象。

scanned_remote_bytesinteger

当部署使用 Tiered Storage 且已启用用量跟踪,并且操作从远程/磁盘存储读取数据时返回。当所有数据均从本地缓存提供时,此字段将被省略。

scanned_total_bytesinteger

当部署使用 Tiered Storage 且已启用用量跟踪,并且操作从远程/磁盘存储读取数据时返回。当所有数据均从本地缓存提供时,此字段将被省略。

cache_hit_rationumber

当部署使用 Tiered Storage 且已启用用量跟踪,并且操作从远程/磁盘存储读取数据时返回。当所有数据均从本地缓存提供时,此字段将被省略。

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": [
{
"color": "red_7025",
"id": 1
},
{
"color": "pink_9298",
"id": 3
},
{
"color": "yellow_4222",
"id": 5
}
]
}